org.eclipse.rdf4j.model.vocabulary

## Class LDP

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.LDP

-     public class LDP
      extends Object

  Constants for the Linked Data Platform.
  Author:
    Bart Hanssens
  See Also:
    Linked Data Platform

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ASCENDING` ldp:Ascending
    `static IRI` | `BASIC_CONTAINER` ldp:BasicContainer
    `static IRI` | `CONSTRAINED_BY` ldp:constrainedBy
    `static IRI` | `CONTAINER` ldp:Container
    `static IRI` | `CONTAINS` ldp:contains
    `static IRI` | `DESCENDING` ldp:Descending
    `static IRI` | `DIRECT_CONTAINER` ldp:DirectContainer
    `static IRI` | `HAS_MEMBER_RELATION` ldp:hasMemberRelation
    `static IRI` | `INBOX` ldp:inbox
    `static IRI` | `INDIRECT_CONTAINER` ldp:IndirectContainer
    `static IRI` | `INSERTED_CONTENT_RELATION` ldp:insertedContentRelation
    `static IRI` | `IS_MEMBER_OF_RELATION` ldp:isMemberOfRelation
    `static IRI` | `MEMBER` ldp:member
    `static IRI` | `MEMBER_SUBJECT` ldp:MemberSubject
    `static IRI` | `MEMBERSHIP_RESOURCE` ldp:membershipResource
    `static String` | `NAMESPACE` The LDP namespace: http://www.w3.org/ns/ldp#
    `static IRI` | `NON_RDF_SOURCE` ldp:NonRDFSource
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the namespace.
    `static IRI` | `PAGE` ldp:Page
    `static IRI` | `PAGE_SEQUENCE` ldp:pageSequence
    `static IRI` | `PAGE_SORT_COLLATION` ldp:pageSortCollation
    `static IRI` | `PAGE_SORT_CRITERIA` ldp:pageSortCriteria
    `static IRI` | `PAGE_SORT_CRITERION` ldp:PageSortCriterion
    `static IRI` | `PAGE_SORT_ORDER` ldp:pageSortOrder
    `static IRI` | `PAGE_SORT_PREDICATE` ldp:pageSortPredicate
    `static IRI` | `PREFER_CONTAINMENT` ldp:PreferContainment
    `static IRI` | `PREFER_EMPTY_CONTAINER` Deprecated.
    `static IRI` | `PREFER_MEMBERSHIP` ldp:PreferMembership
    `static IRI` | `PREFER_MINIMAL_CONTAINER` ldp:PreferMinimalContainer
    `static String` | `PREFIX` Recommended prefix for the namespace: "ldp"
    `static IRI` | `RDF_SOURCE` ldp:RDFSource
    `static IRI` | `RESOURCE` ldp:Resource

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDP()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The LDP namespace: http://www.w3.org/ns/ldp#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the namespace: "ldp"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the namespace.

    - #### BASIC_CONTAINER

          public static final IRI BASIC_CONTAINER

      ldp:BasicContainer

    - #### CONTAINER

          public static final IRI CONTAINER

      ldp:Container

    - #### DIRECT_CONTAINER

          public static final IRI DIRECT_CONTAINER

      ldp:DirectContainer

    - #### INDIRECT_CONTAINER

          public static final IRI INDIRECT_CONTAINER

      ldp:IndirectContainer

    - #### NON_RDF_SOURCE

          public static final IRI NON_RDF_SOURCE

      ldp:NonRDFSource

    - #### PAGE

          public static final IRI PAGE

      ldp:Page

    - #### PAGE_SORT_CRITERION

          public static final IRI PAGE_SORT_CRITERION

      ldp:PageSortCriterion

    - #### RDF_SOURCE

          public static final IRI RDF_SOURCE

      ldp:RDFSource

    - #### RESOURCE

          public static final IRI RESOURCE

      ldp:Resource

    - #### CONSTRAINED_BY

          public static final IRI CONSTRAINED_BY

      ldp:constrainedBy

    - #### CONTAINS

          public static final IRI CONTAINS

      ldp:contains

    - #### HAS_MEMBER_RELATION

          public static final IRI HAS_MEMBER_RELATION

      ldp:hasMemberRelation

    - #### INBOX

          public static final IRI INBOX

      ldp:inbox

    - #### INSERTED_CONTENT_RELATION

          public static final IRI INSERTED_CONTENT_RELATION

      ldp:insertedContentRelation

    - #### IS_MEMBER_OF_RELATION

          public static final IRI IS_MEMBER_OF_RELATION

      ldp:isMemberOfRelation

    - #### MEMBER

          public static final IRI MEMBER

      ldp:member

    - #### MEMBERSHIP_RESOURCE

          public static final IRI MEMBERSHIP_RESOURCE

      ldp:membershipResource

    - #### PAGE_SEQUENCE

          public static final IRI PAGE_SEQUENCE

      ldp:pageSequence

    - #### PAGE_SORT_COLLATION

          public static final IRI PAGE_SORT_COLLATION

      ldp:pageSortCollation

    - #### PAGE_SORT_CRITERIA

          public static final IRI PAGE_SORT_CRITERIA

      ldp:pageSortCriteria

    - #### PAGE_SORT_ORDER

          public static final IRI PAGE_SORT_ORDER

      ldp:pageSortOrder

    - #### PAGE_SORT_PREDICATE

          public static final IRI PAGE_SORT_PREDICATE

      ldp:pageSortPredicate

    - #### ASCENDING

          public static final IRI ASCENDING

      ldp:Ascending

    - #### DESCENDING

          public static final IRI DESCENDING

      ldp:Descending

    - #### MEMBER_SUBJECT

          public static final IRI MEMBER_SUBJECT

      ldp:MemberSubject

    - #### PREFER_CONTAINMENT

          public static final IRI PREFER_CONTAINMENT

      ldp:PreferContainment

    - #### PREFER_EMPTY_CONTAINER

          @Deprecated
          public static final IRI PREFER_EMPTY_CONTAINER

      Deprecated.
      ldp:PreferEmptyContainer

    - #### PREFER_MEMBERSHIP

          public static final IRI PREFER_MEMBERSHIP

      ldp:PreferMembership

    - #### PREFER_MINIMAL_CONTAINER

          public static final IRI PREFER_MINIMAL_CONTAINER

      ldp:PreferMinimalContainer

  - ### Constructor Detail

    - #### LDP

          public LDP()

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.